<?php
	class RSSReader{
		var $channel;
		var $item;
		function getDate(){
			return $this->item['dc']['date'];
		}
		function getTitle(){
			return mb_convert_encoding($this->item[title], "EUC-JP", "auto");
		}
		function getURL(){
			return $this->item[link];
		}
		function getMainTitle(){
			return mb_convert_encoding($this->channel[title], "EUC-JP", "auto");
		}
	}
	function date_sort($a,$b){
		if($a->getDate() > $b->getDate()){
			return -1;
		}else{
			return 1;
		}
	}
require_once 'rss_fetch.inc';
require_once 'etc/rss.inc';

function sox_fetch_rss(){
	$rssreader = array();
	$fp = fopen("rsslist.dat","r");
	$lsize = max_line_size;
	while(filesize("rsslist.dat") > 0 and $line = rtrim(fgets($fp))){
		$rss = fetch_rss($line);
		while ((list($t,$item) = each($rss->items)) and $lsize) {
			$rssr = new RSSReader();
			$rssr->channel = $rss->channel;
			$rssr->item = $item;
			$rssreader[] = $rssr;
			$lsize--;
		}
	}
  $rss = fetch_rss("http://dagda.grd.cc/dagda/rss/");
  while ((list($t,$item) = each($rss->items)) and $lsize) {
    $rssr = new RSSReader();
    $rssr->channel = $rss->channel;
    $rssr->item = $item;
    $rssreader[] = $rssr;
    $lsize--;
  }
  fclose($fp);
  usort($rssreader,"date_sort");
  return $rssreader;
}
?>
